Bug 49221 - difference of y position/size of drawinglayer elements is more than 10%
Summary: difference of y position/size of drawinglayer elements is more than 10%
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-04-27 06:02 UTC by Markus Mohrhard
Modified: 2019-12-03 14:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
xml dump generated by clang (9.27 KB, text/xml)
2012-04-27 06:05 UTC, Markus Mohrhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-04-27 06:02:32 UTC
The clang tinderbox shows a difference of more than 10% in the y position/size of XShape/XShapes.

Attached is the xml file generated by the tinderbox. The reference file is at charts/qa/unit/data/reference/testChart.xml.

Possible problems:

- gcc vs clang
- 32 bit vs 64 bit
- different fonts
Comment 1 Markus Mohrhard 2012-04-27 06:05:36 UTC
Created attachment 60665 [details]
xml dump generated by clang
Comment 2 Luboš Luňák 2012-04-27 06:42:46 UTC
Revision e652ba3c7357e0396498629891a1391ace67c4d7 (i.e. before fb4bbfbaccb6ac4ecf04384684827d9d0969f167) passes 'make check' on 64bit, the same clang revision, so this is most probably caused by the tinderbox being 32bit.
Comment 3 A (Andy) 2014-10-11 17:23:48 UTC
@Markus: There hasn't been any update for a longer time.  Is this issue still persisting?
Comment 4 Markus Mohrhard 2014-10-19 18:38:42 UTC
(In reply to A (Andy) from comment #3)
> @Markus: There hasn't been any update for a longer time.  Is this issue
> still persisting?

Yes. And this is a developer bug report so you can ignore it for any QA work. It is just a reminder for me to look into that when I have nothing else to do (which will most likely never happen). For now it is just a documentation of a problem that affects only developers and there mostly me.
Comment 5 QA Administrators 2015-12-20 16:18:50 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:50:17 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:02:36 UTC
Dear Markus Mohrhard,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug